=== doc-xc/Makefile ===
#----------------------------------------------------------------------------
#
# Postgres-XC documentation top-level makefile
#
# Copyright (c) 1994, Regents of the University of California
#
# doc/Makefile
#
#----------------------------------------------------------------------------

subdir = doc-xc
top_builddir = ..
include $(top_builddir)/src/Makefile.global

all distprep html man install installdirs uninstall clean distclean maintainer-clean maintainer-check:
	$(MAKE) -C src $@
