=== doc-xc/src/Makefile ===
# doc/src/Makefile

subdir = doc-xc/src
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

all distprep html man install installdirs uninstall clean distclean maintainer-clean maintainer-check:
	$(MAKE) -C sgml $@
