=== debian/changelog ===
postgres-xc (1.1-2ubuntu2) trusty; urgency=low

  * Backport upstream patch to resolve FTBFS with new bison.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 07 Apr 2014 13:39:08 -0400

postgres-xc (1.1-2ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 03:35:27 -0500

postgres-xc (1.1-2) unstable; urgency=low

  * Patch build system to work on s390x (Closes: #725636)

 -- Michael Meskes <meskes@debian.org>  Fri, 22 Nov 2013 16:19:11 +0100

postgres-xc (1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1 (Closes: #721777)
  * List team as maintainer.
  * Adjusted patches for new upstream version.

 -- Michael Meskes <meskes@debian.org>  Tue, 10 Sep 2013 14:15:21 +0200
