=== debian/control ===
Source: postgres-xc
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 perl (>= 5.8),
 libperl-dev,
 libpq-dev,
 tcl8.5-dev,
 libedit-dev,
 libssl-dev, 
 zlib1g-dev | libz-dev,
 libpam0g-dev | libpam-dev,
 libxml2-dev, libkrb5-dev,
 libldap2-dev,
 libxslt1-dev,
 libossp-uuid-dev,
 python-dev,
 bison,
 flex,
 openjade,
 docbook-dsssl,
 docbook-xsl,
 opensp,
 xsltproc,
 gettext,
 autotools-dev
Standards-Version: 3.9.4
Homepage: http://postgres-xc.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgres-xc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgres-xc.git

Package: postgres-xc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgres-xc-client,
 adduser, ssl-cert (>= 1.0.11), logrotate
Conflicts: postgresql-common
Description: write-scalable, synchronous multi-master, transparent PostgreSQL cluster
 Write-scalable means Postgres-XC can be configured with as many
 database servers as you want and handle many more writes (updating SQL
 statements) compared to what a single database server can not do.
 .
 Multi-master means you can have more than one database server that
 clients connect to which provide a single, consistent cluster-wide view
 of the database.
 .
 Synchronous means any database update from any database server is
 immediately visible to any other transactions running on different
 masters.
 .
 Transparent means you (and your applications) do not have to worry
 about how your data is stored in more than one database servers
 internally.
 .
 You can configure Postgres-XC to run on multiple servers. Your data is
 stored in a distributed way, that is, partitioned or replicated, as
 chosen by you for each table. When you issue queries, Postgres-XC
 determines where the target data is stored and issues corresponding
 queries to servers containing the target data.

Package: postgres-xc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, postgres-xc (= ${binary:Version})
Description: debug symbols for postgres-xc
 Write-scalable means Postgres-XC can be configured with as many
 database servers as you want and handle many more writes (updating SQL
 statements) compared to what a single database server can not do.
 .
 Multi-master means you can have more than one database server that
 clients connect to which provide a single, consistent cluster-wide view
 of the database.
 .
 Synchronous means any database update from any database server is
 immediately visible to any other transactions running on different
 masters.
 .
 Transparent means you (and your applications) do not have to worry
 about how your data is stored in more than one database servers
 internally.
 .
 You can configure Postgres-XC to run on multiple servers. Your data is
 stored in a distributed way, that is, partitioned or replicated, as
 chosen by you for each table. When you issue queries, Postgres-XC
 determines where the target data is stored and issues corresponding
 queries to servers containing the target data.
 .
 This package provides detached debugging symbols for Postgres-XC.

Package: postgres-xc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the Postgres-XC cluster
 This package contains all README files, user manual, and examples for
 Postgres-XC. The manual is in HTML format.
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-client
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: postgres-xc, postgresql-xc-doc
Conflicts: postgresql-client-common
Description: front-end programs for Postgres-XC
 This package contains client and administrative programs for
 Postgres-XC: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for Postgres-XC. If you install
 Postgres-XC on a standalone machine, you need the server package
 postgres-xc, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .  
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-server-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev (>= 9.2~)
Conflicts: postgresql-common
Description: development files for Postgres-XC server-side programming
 Header files for compiling SSI code to link into Postgres-XC's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on 
 modules of Postgres-XC, which would otherwise have to be built in the
 Postgres-XC source-code tree.
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-plperl
Architecture: any
Depends: ${misc:Depends}, 
 ${shlibs:Depends},
 postgres-xc (= ${binary:Version}),
 perl
Description: PL/Perl procedural language for Postgres-XC
 PL/Perl enables an SQL developer to write procedural language functions
 for Postgres-XC in Perl.  You need this package if you have any
 Postgres-XC functions that use the languages plperl or plperlu.
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-plpython
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgres-xc (= ${binary:Version})
Description: PL/Python procedural language for Postgres-XC
 PL/Python enables an SQL developer to write procedural language functions
 for Postgres-XC in Python.  You need this package if you have any
 Postgres-XC functions that use the languages plpython or plpythonu.
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-pltcl
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgres-xc (= ${binary:Version})
Description: PL/Tcl procedural language for Postgres-XC
 PL/Tcl enables an SQL developer to write procedural language functions
 for Postgres-XC in Tcl.  You need this package if you have any
 Postgres-XC functions that use the languages pltcl or pltclu.
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: postgres-xc-contrib
Architecture: any
Depends: postgres-xc (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdbd-pg-perl
Conflicts: postgresql-client-common
Description: additional facilities for Postgres-XC
 The Postgres-XC contrib package provides several additional features
 for the Postgres-XC database.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  passwordcheck  - Simple password strength checker
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.

Package: ecpg-xc
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev,
 libecpg-dev (>= 9.2~),
 libecpg6 (>= 9.2~),
 libecpg-compat3 (>= 9.2~),
 libpgtypes3 (>= 9.2~)
Description: Postgres-XC version of ECPG (Embedded PostgreSQL for C)
 This package contains the precompiler ECPG (Embedded
 PostgreSQL for C) for parsing Postgres-XC syntax. 
 .
 Postgres-XC is a write-scalable, synchronous multi-master, transparent
 PostgreSQL cluster.
 . 
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).
