=== debian/watch ===
version=3
opts=uversionmangle=s/\.(beta\d*)$/~$1/ \
http://qa.debian.org/watch/sf.php/postgres-xc/ \
	(?:|.*/)pgxc[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
# Bart Martens <bartm@debian.org>
